pageTitleHover not set correctly in Popups schema
Closed, ResolvedPublic2 Story Points

Description

This field appears to have gotten lost at some point:

SELECT DISTINCT event_pageTitleHover, COUNT(*)
FROM log.Popups_16364296
WHERE DATE(timestamp) = '2017-05-01';

+----------------------+----------+
| event_pageTitleHover | COUNT(*) |
+----------------------+----------+
| NULL                 |    60407 |
+----------------------+----------+
1 row in set (1.20 sec)

Probably also applies to namespaceIdHover.

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2017, 10:01 AM
phuedx triaged this task as High priority.May 2 2017, 4:13 PM
phuedx added subscribers: Jdlrobson, phuedx.
Jdlrobson set the point value for this task to 2.May 2 2017, 5:14 PM
phuedx claimed this task.

Change 351605 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Popups@master] eventLogging: Add missing perceivedWait property

https://gerrit.wikimedia.org/r/351605

phuedx added a comment.EditedMay 8 2017, 11:10 AM

This is a little more complicated than I originally thought as there's a little debt around the selection of which links that PP should act on (see src/processLinks.js). I think it's worthwhile taking the time to move from:

  • Filter all links by CSS blacklist;
  • Filter all links by title validity – is the title in a content namespace and it can be resolved to the current revision of the page? (constructing a Title object for most links on the page and then discarding it);
  • Bind event listeners.

to:

  • Filter all links by CSS blacklist;
  • Bind event listeners;
  • Filter link by title validity (as above, except construct an mw.Title object for the link, validate it, then pass it along).

Change 351605 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] eventLogging: Add missing perceivedWait property

https://gerrit.wikimedia.org/r/351605

Change 352868 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Popups@master] eventLogging: Round perceivedWait property

https://gerrit.wikimedia.org/r/352868

Change 352868 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] eventLogging: Round perceivedWait property

https://gerrit.wikimedia.org/r/352868

Change 352870 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Popups@master] WIP eventLogging: Add missing *Hover properties

https://gerrit.wikimedia.org/r/352870

@Tbayer: rEPOP35cfc38b0b85: eventLogging: Add missing perceivedWait property and rEPOP2d3f5333b54b: eventLogging: Round perceivedWait property will be deployed to the group1 and group2 Wikipedias today and tomorrow during the 8 PM UTC MediaWiki train deployment.

Change 352870 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] eventLogging: Add missing *Hover properties

https://gerrit.wikimedia.org/r/352870

ovasileva reassigned this task from phuedx to Tbayer.May 15 2017, 5:06 PM
ovasileva added a subscriber: ovasileva.

@Tbayer - could you sign off on this one?

@Tbayer: rEPOP35bf61396451: eventLogging: Add missing *Hover properties will've been deployed to all of the Wikipedias by EOD Thursday, 18th.

@Tbayer - could you sign off on this one?

You mean sanity-check the incoming data after it is deployed on Thursday, and then record the assessment here? Will do that.

Change 353903 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Popups@master] actions: Mix title and namespaceID into LINK_DWELL

https://gerrit.wikimedia.org/r/353903

Change 353903 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] actions: Mix title and namespaceID into LINK_DWELL

https://gerrit.wikimedia.org/r/353903

Per T164256#3264140, this can't be verified in production until EOD Thursday, 18th, though we should start to see the properties being populated by EOD today (since the changes will've been deployed to the group1 Wikipedias).

T164256#3270064 would've been true if the train deployments had been running this week. Unfortunately, they aren't. I'll deploy rEPOP35bf61396451: eventLogging: Add missing *Hover properties and rEPOPcf0ea9db7bde: actions: Mix title and namespaceID into LINK_DWELL on Monday, 22nd.

I didn't get around to deploying those changes. I'll deploy them during tomorrow's European Mid-day SWAT.

@phuedx - just to confirm, we're swat-ing one part of this tomorrow, and the remainder will be on the train for Thursday.

Despite the fact that the changes should be live on ca- and hewiki, there've been no events with the pageTitleHover or namespaceIdHover properties set logged in the last couple of days [0][1].

[0]
SELECT DISTINCT event_pageTitleHover, COUNT(*) FROM log.Popups_16364296 WHERE DATE(timestamp) = '2017-05-24';
+----------------------+----------+
| event_pageTitleHover | COUNT(*) |
+----------------------+----------+
| NULL                 |    57726 |
+----------------------+----------+
[1]
SELECT DISTINCT event_pageTitleHover, COUNT(*) FROM log.Popups_16364296 WHERE DATE(timestamp) = '2017-05-25';
+----------------------+----------+
| event_pageTitleHover | COUNT(*) |
+----------------------+----------+
| NULL                 |    24057 |
+----------------------+----------+

Ignore the above (T164256#3291677) per [0][1].

[0]
SELECT wiki, COUNT(*) AS n FROM log.Popups_16364296 WHERE event_pageTitleHover IS NOT NULL AND timestamp LIKE '20170524%' GROUP BY wiki;
+--------+----------+
| wiki   | n        |
+--------+----------+
| cawiki |       31 |
| hewiki |      493 |
+--------+----------+
[1]
SELECT wiki, COUNT(*) AS n FROM log.Popups_16364296 WHERE event_pageTitleHover IS NOT NULL AND timestamp LIKE '20170525%' GROUP BY wiki;

+--------+----------+
| wiki   | n        |
+--------+----------+
| cawiki |      393 |
| hewiki |     1613 |
+--------+----------+
phuedx reassigned this task from phuedx to Tbayer.May 25 2017, 3:48 PM

Signing this off is blocked by T166345: wmf/1.30.0-wmf.2 performance issue for Wikipedias as the -wmf.2 branch hasn't been deployed to the group2 wikis.

phuedx added a comment.Jun 6 2017, 8:29 AM

21 of the 52649 events logged on Sunday, 4th June didn't have their pageTitleHover property set [0][1] so 👍

However, there appear to be 2 remaining bugs:

  1. The pageTitleHover – and namespaceIdHover, presumably – property isn't set on the tapped settings cog event.
  2. There appear to be an extraordinarily low number of pageLoaded events.
[0]
select event_action, count(*) as n
from log.Popups_16364296
where event_pageTitleHover is null
and timestamp like '20170604%'
group by event_action;

+---------------------+----+
| event_action        | n  |
+---------------------+----+
| dwelledButAbandoned | 14 |
| pageLoaded          |  5 |
| tapped settings cog |  2 |
+---------------------+----+
[1]
select count(*) as n
from log.Popups_16364296
where timestamp like '20170604%';

+-------+
| n     |
+-------+
| 52649 |
+-------+
[2]
select event_action, count(*) as n
from log.Popups_16364296
where event_pageTitleHover is not null
and timestamp like '20170604%'
group by event_action;

+---------------------+-------+
| event_action        | n     |
+---------------------+-------+
| dismissed           |  6652 |
| dwelledButAbandoned | 44077 |
| opened              |  1899 |
+---------------------+-------+
  1. The pageTitleHover – and namespaceIdHover, presumably – property isn't set on the tapped settings cog event.
phuedx claimed this task.Jun 6 2017, 8:39 AM

Change 357570 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Popups@master] eventLogging: Add missing properties to "tapped settings cog" event

https://gerrit.wikimedia.org/r/357570

  1. There appear to be an extraordinarily low number of pageLoaded events.

Tracked in T167273: pageLoaded events are logged infrequently, if at all.

Change 357570 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] eventLogging: Add missing properties to "tapped settings cog" event

https://gerrit.wikimedia.org/r/357570

The above patch has been +2'ed. I noticed a couple of things while reviewing though.

  1. When I'm logged in and click on the settings cog, I'm taken to the User preferences page. No 'tapped settings cog' event is logged though.
  1. When I'm logged out and the feature has been disabled, I see a link in the footer to enable the feature. When I click on the link, no 'tapped settings cog' is logged (The newly added tests cover this case though, it's just the behavior is not setup for users).

The above patch has been +2'ed. I noticed a couple of things while reviewing though.

  1. When I'm logged in and click on the settings cog, I'm taken to the User preferences page. No 'tapped settings cog' event is logged though.
  2. When I'm logged out and the feature has been disabled, I see a link in the footer to enable the feature. When I click on the link, no 'tapped settings cog' is logged (The newly added tests cover this case though, it's just the behavior is not setup for users).

Good catch! I checked and at least some of these events are logged, albeit lacking the link interaction token (filed as T167364).

Regarding 1., did you also try to click further, disable the feature and check whether the 'disabled' event is sent? (Probably not, as the new schema has logged zero such events so far - filed as T167365.)

Regarding 2., what's the expected behavior again after the rewrite?

#1. No, I didn't go further.

#2. From the tests I gathered a new 'tapped settings cog' should be logged as the settings dialog is displayed. @phuedx maybe able to correct me.

#2. From the tests I gathered a new 'tapped settings cog' should be logged as the settings dialog is displayed. @phuedx maybe able to correct me.

That's my understanding but the description of the action is ambiguous here. @Tbayer: At the moment, PP will not log a tapped settings cog event when the footer link is clicked, which I think is a bug. Should it?

phuedx reassigned this task from phuedx to Tbayer.Jun 13 2017, 5:05 PM
Tbayer rescinded a token.

#2. From the tests I gathered a new 'tapped settings cog' should be logged as the settings dialog is displayed. @phuedx maybe able to correct me.

That's my understanding but the description of the action is ambiguous here. @Tbayer: At the moment, PP will not log a tapped settings cog event when the footer link is clicked, which I think is a bug. Should it?

Discussed this with @ovasileva and while we agree that this is the desired behavior, it's also low priority compared to fixing the other current instrumentation issues. I have filed a new task for whenever we get around to it: T167835

Tbayer closed this task as Resolved.Jun 13 2017, 10:14 PM

Checked that (almost) all relevant events have a non-null value for pageTitleHover now:

SELECT DATE(timestamp) AS date, SUM(IF(event_pageTitleHover IS NOT NULL, 1, 0))/SUM(1) FROM log.Popups_16364296 WHERE MONTH(timestamp) >= 5 AND event_linkInteractionToken IS NOT NULL GROUP BY date ORDER BY date;
+------------+--------------------------------------------------------+
| date       | SUM(IF(event_pageTitleHover IS NOT NULL, 1, 0))/SUM(1) |
+------------+--------------------------------------------------------+
| 2017-05-01 |                                                 0.0000 |
| 2017-05-02 |                                                 0.0000 |
| 2017-05-03 |                                                 0.0000 |
| 2017-05-04 |                                                 0.0000 |
| 2017-05-05 |                                                 0.0000 |
| 2017-05-06 |                                                 0.0000 |
| 2017-05-07 |                                                 0.0000 |
| 2017-05-08 |                                                 0.0000 |
| 2017-05-09 |                                                 0.0000 |
| 2017-05-10 |                                                 0.0000 |
| 2017-05-11 |                                                 0.0000 |
| 2017-05-12 |                                                 0.0000 |
| 2017-05-13 |                                                 0.0000 |
| 2017-05-14 |                                                 0.0000 |
| 2017-05-15 |                                                 0.0000 |
| 2017-05-16 |                                                 0.0000 |
| 2017-05-17 |                                                 0.0000 |
| 2017-05-18 |                                                 0.0000 |
| 2017-05-19 |                                                 0.0000 |
| 2017-05-20 |                                                 0.0000 |
| 2017-05-21 |                                                 0.0000 |
| 2017-05-22 |                                                 0.0000 |
| 2017-05-23 |                                                 0.0000 |
| 2017-05-24 |                                                 0.0091 |
| 2017-05-25 |                                                 0.1081 |
| 2017-05-26 |                                                 0.0380 |
| 2017-05-27 |                                                 0.0430 |
| 2017-05-28 |                                                 0.0644 |
| 2017-05-29 |                                                 0.0491 |
| 2017-05-30 |                                                 0.0338 |
| 2017-05-31 |                                                 0.0482 |
| 2017-06-01 |                                                 0.1758 |
| 2017-06-02 |                                                 0.9932 |
| 2017-06-03 |                                                 0.9967 |
| 2017-06-04 |                                                 0.9997 |
| 2017-06-05 |                                                 0.9996 |
| 2017-06-06 |                                                 0.9999 |
| 2017-06-07 |                                                 0.9995 |
| 2017-06-08 |                                                 0.9999 |
| 2017-06-09 |                                                 0.9999 |
| 2017-06-10 |                                                 1.0000 |
| 2017-06-11 |                                                 0.9998 |
| 2017-06-12 |                                                 1.0000 |
| 2017-06-13 |                                                 1.0000 |
+------------+--------------------------------------------------------+
44 rows in set (7.26 sec)